<?php

/**
 * Sidebar Position
 *
 * @package social_blog
 */

$wp_customize->add_section(
	'social_blog_sidebar_position',
	array(
		'title' => esc_html__( 'Sidebar Position', 'social-blog' ),
		'panel' => 'social_blog_theme_options',
	)
);


// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_global_sidebar_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_global_sidebar_separator', array(
	'label' => __( 'Global Sidebar Position', 'social-blog' ),
	'section' => 'social_blog_sidebar_position',
	'settings' => 'social_blog_global_sidebar_separator',
)));


// Sidebar Position - Global Sidebar Position.
$wp_customize->add_setting(
	'social_blog_sidebar_position',
	array(
		'sanitize_callback' => 'social_blog_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'social_blog_sidebar_position',
	array(
		'label'   => esc_html__( 'Select Sidebar Position', 'social-blog' ),
		'section' => 'social_blog_sidebar_position',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'social-blog' ),
			'left-sidebar'  => esc_html__( 'Left Sidebar', 'social-blog' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'social-blog' ),
		),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_post_sidebar_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_post_sidebar_separator', array(
	'label' => __( 'Post Sidebar Position', 'social-blog' ),
	'section' => 'social_blog_sidebar_position',
	'settings' => 'social_blog_post_sidebar_separator',
)));


// Sidebar Position - Post Sidebar Position.
$wp_customize->add_setting(
	'social_blog_post_sidebar_position',
	array(
		'sanitize_callback' => 'social_blog_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'social_blog_post_sidebar_position',
	array(
		'label'   => esc_html__( 'Select Sidebar Position', 'social-blog' ),
		'section' => 'social_blog_sidebar_position',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'social-blog' ),
			'left-sidebar'  => esc_html__( 'Left Sidebar', 'social-blog' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'social-blog' ),
		),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_page_sidebar_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_page_sidebar_separator', array(
	'label' => __( 'Page Sidebar Position', 'social-blog' ),
	'section' => 'social_blog_sidebar_position',
	'settings' => 'social_blog_page_sidebar_separator',
)));

// Sidebar Position - Page Sidebar Position.
$wp_customize->add_setting(
	'social_blog_page_sidebar_position',
	array(
		'sanitize_callback' => 'social_blog_sanitize_select',
		'default'           => 'right-sidebar',
	)
);

$wp_customize->add_control(
	'social_blog_page_sidebar_position',
	array(
		'label'   => esc_html__( 'Select Sidebar Position', 'social-blog' ),
		'section' => 'social_blog_sidebar_position',
		'type'    => 'select',
		'choices' => array(
			'right-sidebar' => esc_html__( 'Right Sidebar', 'social-blog' ),
			'left-sidebar'  => esc_html__( 'Left Sidebar', 'social-blog' ),
			'no-sidebar'    => esc_html__( 'No Sidebar', 'social-blog' ),
		),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_sidebar_width_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_sidebar_width_separator', array(
	'label' => __( 'Sidebar Width Setting', 'social-blog' ),
	'section' => 'social_blog_sidebar_position',
	'settings' => 'social_blog_sidebar_width_separator',
)));


$wp_customize->add_setting( 'social_blog_sidebar_width', array(
	'default'           => '30',
	'sanitize_callback' => 'social_blog_sanitize_range_value',
) );

$wp_customize->add_control(new Social_Blog_Customize_Range_Control($wp_customize, 'social_blog_sidebar_width', array(
	'section'     => 'social_blog_sidebar_position',
	'label'       => __( 'Adjust Sidebar Width', 'social-blog' ),
	'description' => __( 'Adjust the width of the sidebar.', 'social-blog' ),
	'input_attrs' => array(
		'min'  => 10,
		'max'  => 50,
		'step' => 1,
	),
)));

$wp_customize->add_setting( 'social_blog_sidebar_widget_font_size', array(
    'default'           => 24,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'social_blog_sidebar_widget_font_size', array(
    'type'        => 'number',
    'section'     => 'social_blog_sidebar_position',
    'label'       => __( 'Sidebar Widgets Heading Font Size ', 'social-blog' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));